function DraconisErus_Queue_HasPlayer(player)
	local retVal = false
	local index = DraconisErus_TableSearch(DEDKPSettings["RaidQueue"],player)
	if index > 0 then
		retVal = true
	end
	return retVal
end

function DraconisErus_Queue_Add(player,sender)
	if not DraconisErus_Queue_HasPlayer(player) then
		if DEDKPSettings["RaidStarted"] then
			if not DraconisErus_Raid_HasPlayer(player) then
				DraconisErus_RaidEvent_PlayerJoined(player)
			end
		end
		table.insert(DEDKPSettings["RaidQueue"],player)
		if sender == nil then
			DraconisErus_Comm_Send("DERRADDSTANDBY",player,"RAID")
			if not DERR_DEBUG then
				SendChatMessage("You have been ADDED to the wait list.","WHISPER",nil,player)
			end
		end
		if DERR.MainWindow ~= nil then DEDKP_MainWindow_LoadStandBy() end
	end
end

function DraconisErus_Queue_Remove(player,sender)
	local index = DraconisErus_TableSearch(DEDKPSettings["RaidQueue"],player)
	if index > 0 then
		if DEDKPSettings["RaidStarted"] then
			if not DraconisErus_Raid_HasPlayer(player) then
				DraconisErus_RaidEvent_PlayerLeft(player)
			end
		end
		table.remove(DEDKPSettings["RaidQueue"],index)
		DraconisErus_Comm_Send("DERRREMSTANDBY",player,"RAID")
		if not DraconisErus_Raid_HasPlayer(player) and sender == nil then
			if not DERR_DEBUG then
				SendChatMessage("You have been REMOVED from the wait list.","WHISPER",nil,player)
			end
		end
		if DERR.MainWindow ~= nil then DEDKP_MainWindow_LoadStandBy() end
	end
end

