
StaticPopupDialogs["DRACONISERUS_DEDKP_ENDRAID"] = StaticPopupDialogs["DRACONISERUS_DEDKP_ENDRAID"] or {
	text = "Ending a raid will stop all officers from recording.\n\nAre you sure you wish to end this raid?",
	button1 = "Yes",
	button2 = "No",
	OnAccept = function()
		DraconisErus_RaidEvent_EndRaid()
	end,
	timeout = 0,
	whileDead = true,
	hideOnEscape = true,
	preferredIndex = 3,
}

StaticPopupDialogs["DRACONISERUS_SHOW_URL"] = StaticPopupDialogs["DRACONISERUS_SHOW_URL"] or {
	text = "Draconis Erus Website",
	button2 = ACCEPT,
	hasEditBox = 1,
	hasWideEditBox = 1,
	editBoxWidth = 350,

	preferredIndex = 3,

	OnShow = function(this, ...)
		this:SetWidth(420)

		local editBox = _G[this:GetName() .. "WideEditBox"] or _G[this:GetName() .. "EditBox"]

		editBox:SetText(StaticPopupDialogs["DRACONISERUS_SHOW_URL"].urltext)
		editBox:SetFocus()
		editBox:HighlightText(false)

		local button = _G[this:GetName() .. "Button2"]
		button:ClearAllPoints()
		button:SetWidth(200)
		button:SetPoint("CENTER", editBox, "CENTER", 0, -30)
	end,
	OnHide = NOP,
	OnAccept = NOP,
	OnCancel = NOP,
	EditBoxOnEscapePressed = function(this, ...) this:GetParent():Hide() end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1
}

StaticPopupDialogs["DRACONISERUS_DISCORD_SHOW_URL"] = StaticPopupDialogs["DRACONISERUS_DISCORD_SHOW_URL"] or {
	text = "Draconis Erus Discord",
	button2 = ACCEPT,
	hasEditBox = 1,
	hasWideEditBox = 1,
	editBoxWidth = 350,

	preferredIndex = 3,

	OnShow = function(this, ...)
		this:SetWidth(420)

		local editBox = _G[this:GetName() .. "WideEditBox"] or _G[this:GetName() .. "EditBox"]

		editBox:SetText(StaticPopupDialogs["DRACONISERUS_DISCORD_SHOW_URL"].urltext)
		editBox:SetFocus()
		editBox:HighlightText(false)

		local button = _G[this:GetName() .. "Button2"]
		button:ClearAllPoints()
		button:SetWidth(200)
		button:SetPoint("CENTER", editBox, "CENTER", 0, -30)
	end,
	OnHide = NOP,
	OnAccept = NOP,
	OnCancel = NOP,
	EditBoxOnEscapePressed = function(this, ...) this:GetParent():Hide() end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1
}
